playercam
Player utilities

Camera visualization GUI. More...

Camera visualization GUI.

Synopsis

Playercam is a gui client that displays images captured from a player camera and/or blobfinder device.

Usage

playercam is installed alongside player in $prefix/bin, so if player is in your PATH, then playercam should also be. Command-line usage is:

    $ playercam [options]

Where [options] can be:

- -help : print this message
- -h <hostname> : host that is running player
- -p <port> : the port number of the host
- -i <index> : the index of the camera
- -b <index> : the index of the blobfinder
- -r <rate> : the refresh rate of the video

For example, to connect to Player on localhost at the default port (6665), and subscribe to the 1st camera device:

    $ playercam -i=1

Features

playercam can visualize data from devices that support the following colorspaces:

- PLAYER_CAMERA_FORMAT_MONO8
- PLAYER_CAMERA_FORMAT_MONO16
- PLAYER_CAMERA_FORMAT_RGB888

Any time a user clicks on the image display, the pixel location and color value at that place will be written to standard out.

Todo:
  - add additional vision feedback abilities w/ opencv (directional histogram)

Author
  Brad Kratochvil

Last updated 12 September 2005 21:38:45